Bug 68654 - We should add support for OVERRIDE and FINAL annotations
Summary: We should add support for OVERRIDE and FINAL annotations
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Anders Carlsson
URL:
Keywords:
Depends on:
Blocks: 69904
  Show dependency treegraph
 
Reported: 2011-09-22 13:45 PDT by James Robinson
Modified: 2011-10-11 22:51 PDT (History)
4 users (show)

See Also:


Attachments
Patch (1.58 KB, patch)
2011-09-22 13:55 PDT, Anders Carlsson
no flags Details | Formatted Diff | Diff
Patch (1.63 KB, patch)
2011-09-22 14:08 PDT, Anders Carlsson
hyatt: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description James Robinson 2011-09-22 13:45:18 PDT
These C++11 annotations are useful for detecting programming errors.  We've gained a lot of utility from these in the Chromium repo, and I've locally written plenty of bugs that these would catch.

MSVS2005, recent clangs, and GCC 4.7+ support these annotations.  We should be able to define these annotations as no-ops on other compilers and still get broad coverage from developers and across the buildbots.
Comment 1 Anders Carlsson 2011-09-22 13:55:42 PDT
Created attachment 108396 [details]
Patch
Comment 2 Anders Carlsson 2011-09-22 14:08:48 PDT
Created attachment 108400 [details]
Patch
Comment 3 Dave Hyatt 2011-09-22 15:31:37 PDT
Comment on attachment 108400 [details]
Patch

r=me
Comment 4 Darin Adler 2011-09-22 16:08:10 PDT
Can’t wait!
Comment 5 Anders Carlsson 2011-09-23 09:48:05 PDT
Committed r95823: <http://trac.webkit.org/changeset/95823>